package com.nokia.m2m.sdk.examples.device;

import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import com.nokia.m2m.sdk.examples.logger.SerialPortLogger;

/**
 * 
 * Another example IMlet of module configuration.
 * 
 */
public class PortModeIMlet extends MIDlet {

	protected void startApp() throws MIDletStateChangeException {

		org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(null, null);
		log("Starting PortModeIMlet");
		
		if (ModuleUtils.setUpSerialPorts(orb) ) {
			// Resulted to configuraion change make reset.
			log("Wait for reset!");
		}

		log("PortModeIMlet done");

	}

	/**
	 * Print message to the serial port
	 * @param msg message to be printed
	 */
	private void log(String msg) {
		SerialPortLogger.getInstance().write(msg);
	}

	protected void pauseApp() {
	}

	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
	}

}
