-- Create agps database.
CREATE DATABASE IF NOT EXISTS agps;
USE agps;

-- Delete old tables
DROP TABLE IF EXISTS almanac;


-- Create tables
CREATE TABLE almanac (
	prn integer,
	health integer ,
	e double,
	toa bigint,
	i0 double,
	omegadot double,
	roota double,
	omega0 double,
	omega double,
	m0 double,
	af0 double,
	af1 double,
	wna integer,
	wn integer,
	tow bigint);


