#!/bin/sh
# Run AGPS Server from build directory

# OS specific support.  $var _must_ be set to either true or false.
cygwin=false
case "`uname`" in
CYGWIN*) cygwin=true;;
esac

if $cygwin; then
  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
fi

: ${LIB_DIR:="lib"}

: ${CP:="build:.:${JAVA_HOME}/lib:${JAVA_HOME}/lib/tools.jar"}
 
for i in ${LIB_DIR}/*.jar
do
    CP=$CP:$i
done

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  CP=`cygpath --path --windows "$CP"`
fi

# call java interpreter
exec ${JAVA_HOME}/bin/java -server -classpath ${CP} com.telenor.agps.AGPS_Server
