package com.telenor.positionserver.gps;

import java.io.*;

/**
 * GPSServer - test gps server with this class
 * User: t533807
 * Date: 15.mar.2004
 * Time: 12:38:01
 */
public class GPSServer {
	GPSDevice gps;

	public GPSServer() {
		// Add shutdown hook
		Runtime.getRuntime().addShutdownHook(new Thread() {
			public void run()
			{
				gps.shutdown();
				System.out.println("GPSServer terminated. Bye!");
			}
		});

		gps = new GPSDevice();
		gps.start();

		while (true) {
			try {
				System.out.println("Enter phone number to be found:");
				BufferedReader cl_in = new BufferedReader( new InputStreamReader( System.in ) );
				String msisdn = cl_in.readLine();
				if (msisdn.compareToIgnoreCase("quit") == 0) {
					System.out.println("bye");
					System.exit(0);
					break;
				}
				GPSDevice.track(msisdn, 15, 3);
				//GPSDevice.find(msisdn);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}

	public static void main(String[] args) {
		GPSServer server = new GPSServer();
	}
}
